#include <iostream>
#include <bits/stdc++.h>
//[]
using namespace std;

int main()
{
    int n, k, res = 0;
    cin >> n >> k;
    int a[n], b[n], c[n];

    int i;

    for(i = 0; i < n; i++){
        cin >> a[i];
        c[i] = 0;
        b[i] = 0;
    }

    sort(a, a+n);
    b[0] = a[0];
    c[0] = 1;
    for(i = 1; i < n; i++){
        if(a[i] == a[i-1])
            c[i-1]++;
        else{
            b[i] = a[i];
            c[i]++;
        }
    }

    for(i = 0; i < n; i++)
        if(c[i] >= k)
            res++;

    cout << res << endl;

    for(i = 0; i < n; i++)
        if(c[i] >= k)
        cout << b[i] << " ";

    return 0;
}